OpenNMS API 1.2.9

## org.opennms.install
Class ProcessExec

    java.lang.Object
      org.opennms.install.ProcessExec

public class ProcessExec
extends java.lang.Object

Nested Class Summary
`class` `ProcessExec.PrintInputStream`

Field Summary
`(package private) java.io.PrintStream` `m_err`
`(package private) java.io.PrintStream` `m_out`

Constructor Summary
`ProcessExec(java.io.PrintStream out, java.io.PrintStream err)`

Method Summary
`int` `exec(java.lang.String[] cmd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_out

    java.io.PrintStream m_out

### m_err

    java.io.PrintStream m_err

Constructor Detail

### ProcessExec

    public ProcessExec(java.io.PrintStream out,
                       java.io.PrintStream err)

Method Detail

### exec

    public int exec(java.lang.String[] cmd)
             throws java.io.IOException,
                    java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.